from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSynchronousFrameLoader(XInterface, Protocol):
    def load(self, Descriptor: PropertyValue >, Frame: XFrame) -> bool: ...
    def cancel(self) -> None: ...
